JUnitReports (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.test.report.junit
[Java] Class JUnitReports

    java.lang.Object
      org.codehaus.groovy.grails.test.report.junit.JUnitReports

All Implemented Interfaces:
  org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter

    public class JUnitReports
    extends java.lang.Object

Simply propagates to the underlying reports.

Field Summary
`protected org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter[]` | `reports`

Constructor Summary
`JUnitReports(org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter[] reports)`

Method Summary
`void` | `addError(junit.framework.Test test, java.lang.Throwable t)`
`void` | `addFailure(junit.framework.Test test, junit.framework.AssertionFailedError t)`
`void` | `endTest(junit.framework.Test test)`
`void` | `endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)`
`void` | `setOutput(java.io.OutputStream out)`
`void` | `setSystemError(java.lang.String err)`
`void` | `setSystemOutput(java.lang.String out)`
`void` | `startTest(junit.framework.Test test)`
`void` | `startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### reports

    protected org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter[] reports

Constructor Detail

### JUnitReports

    public JUnitReports(org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter[] reports)

Method Detail

### addError

    public void addError(junit.framework.Test test, java.lang.Throwable t)

### addFailure

    public void addFailure(junit.framework.Test test, junit.framework.AssertionFailedError t)

### endTest

    public void endTest(junit.framework.Test test)

### endTestSuite

    public void endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)

### setOutput

    public void setOutput(java.io.OutputStream out)

### setSystemError

    public void setSystemError(java.lang.String err)

### setSystemOutput

    public void setSystemOutput(java.lang.String out)

### startTest

    public void startTest(junit.framework.Test test)

### startTestSuite

    public void startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)

Groovy Documentation